# TODO
# split the tools from main package ?
# split the doc ?

Name:           bzr
Version:        0.90
Release:        %mkrel 1
Summary:        Next-generation distributed version control 
Group:          Development/Other
License:        GPL
URL:            http://www.bazaar-vcs.org/
Source0:        http://bazaar-vcs.org/releases/src/%{name}-%{version}.tar.gz
Source1:	%{name}-%{version}.tar.gz.sig
BuildRoot:      %{_tmppath}/%{name}-%{version}-root-%(id -u -n)
BuildRequires:  python-devel python-paramiko python-pyrex
Requires:       python-urlgrabber python-celementtree
%define _provides_exceptions perl(
# force buildir to be able to run test on build cluster
%define _builddir /tmp

%description
Bazaar-NG (or bzr) is a project of Canonical to develop an open source
distributed version control system that is powerful, friendly, and scalable. 
Version control means a system that keeps track of previous revisions of 
software source code or similar information and helps people work on it 
in teams.

%prep
%setup -q

%check
# run test in /tmp to avoid lock problems with nfs on build cluster
# sadely, it's not enough: bzr tests are trying to rebuild bzr, and
# so must be run in the bzr build dir
# cd /tmp
# $OLDPWD/bzr selftest

# (misc) broken by diff binary test, will investigate later
# still broken with 0.11
# still broken with 0.12
# still broken with 0.13, maybe du to a local server listening , as pycurl test fail
# still broken with 0.15
export TMPDIR=/tmp
#./bzr selftest

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --prefix=$RPM_BUILD_ROOT/%_prefix
mkdir -p $RPM_BUILD_ROOT/%_mandir/
mv $RPM_BUILD_ROOT/%_prefix/man/* $RPM_BUILD_ROOT/%_mandir/
# remove as they are packaged externally
rm -Rf $RPM_BUILD_ROOT/%py_puresitedir/bzrlib/util/urlgrabber
rm -Rf $RPM_BUILD_ROOT/%py_puresitedir/bzrlib/util/elementtree

find $RPM_BUILD_ROOT/%py_puresitedir -name '*.pyc' | xargs rm -f 

# install bash completion
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/bash_completion.d/
cp contrib/bash/bzr $RPM_BUILD_ROOT/%{_sysconfdir}/bash_completion.d/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc  doc contrib README TODO tools
%_bindir/bzr
%py_platsitedir/bzrlib/
%py_platsitedir/*egg-info
%_mandir/man1/*
%config(noreplace) %{_sysconfdir}/bash_completion.d/bzr




%changelog
* Wed Aug 29 2007 Bogdano Arendartchuk <bogdano@mandriva.com> 0.90-1mdv2008.0
+ Revision: 74860
- with the new pyrex modules, remove noarch
- new version 0.90
- now requires python-pyrex

* Mon Jul 30 2007 Bogdano Arendartchuk <bogdano@mandriva.com> 0.18-2mdv2008.0
+ Revision: 56618
- removed requires for python-pyrex, only 0.19 will need it

* Tue Jul 17 2007 Bogdano Arendartchuk <bogdano@mandriva.com> 0.18-1mdv2008.0
+ Revision: 52867
- new version 0.18

* Mon Jun 18 2007 Bogdano Arendartchuk <bogdano@mandriva.com> 0.17-1mdv2008.0
+ Revision: 40819
- new version 0.17

* Mon May 07 2007 Bogdano Arendartchuk <bogdano@mandriva.com> 0.16-1mdv2008.0
+ Revision: 24860
- upgrade to 0.16

* Sun Apr 22 2007 Michael Scherer <misc@mandriva.org> 0.15-1mdv2008.0
+ Revision: 16978
- upgrade to 0.15


* Tue Jan 23 2007 Michael Scherer <misc@mandriva.org> 0.14-1mdv2007.0
+ Revision: 112397
- 0.14

* Sat Dec 16 2006 Gaëtan Lehmann <glehmann@mandriva.org> 0.13-2mdv2007.1
+ Revision: 98193
- install bash completion

* Tue Dec 05 2006 Michael Scherer <misc@mandriva.org> 0.13-1mdv2007.1
+ Revision: 91305
- update to 0.13

* Thu Nov 30 2006 Michael Scherer <misc@mandriva.org> 0.12-2mdv2007.1
+ Revision: 89341
- rebuild for new python
- add egg-info file

* Tue Oct 31 2006 Michael Scherer <misc@mandriva.org> 0.12-1mdv2007.1
+ Revision: 74328
- update to 0.12

* Tue Oct 03 2006 Michael Scherer <misc@mandriva.org> 0.11-1mdv2007.1
+ Revision: 62806
- update to bzr 0.11
- Import bzr

* Tue Sep 05 2006 Michael Scherer <misc@mandriva.org> 0.10-1mdv2007.0
- New version 0.10
- remove patch0, include upstream
- disable test, broken by some changes in diff
- add python-paramiko, for test

* Fri Jul 21 2006 Michael Scherer <misc@mandriva.org> 0.8.2-2mdv2007.0
- Rebuild

* Sat May 20 2006 Michael Scherer <misc@mandriva.org> 0.8.2-1mdk
- New release 0.8.2

* Mon May 15 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.8-1mdk
- New release 0.8
- patch patch0 (xml.py renamed xml_serializer.py in this release)
- run tests in /tmp to make tests pass on build cluster
- fix hardcoded buildroot

* Mon Jan 23 2006 Michael Scherer <misc@mandriva.org> 0.7-1mdk
- New release 0.7
- use new macro
- requires python-celementree

* Wed Dec 21 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.6.2-2mdk
- rebuild to sync x86_64 mackage

* Thu Nov 17 2005 Michael Scherer <misc@mandriva.org> 0.6.2-1mdk
- New release 0.6.2

* Wed Nov 09 2005 Michael Scherer <misc@mandriva.org> 0.6-1mdk
- New release 0.6

* Tue Oct 18 2005 Michael Scherer <misc@mandriva.org> 0.1.1-1mdk
- New release 0.1.1
- rediff patch0

* Sun Oct 02 2005 Michael Scherer <misc@mandriva.org> 0.0.9-1mdk
- New release 0.0.9

* Wed Sep 07 2005 Michael Scherer <misc@mandriva.org> 0.0.7-1mdk
- New release 0.0.7
- do not provides perl modules

* Fri Sep 02 2005 Michael Scherer <misc@mandriva.org> 0.0.6-2mdk
- add the proper requires, and remove the bundled code

* Fri Sep 02 2005 Michael Scherer <misc@mandriva.org> 0.0.6-1mdk
- First mandriva package

